## wxPrivateDropTarget

wxPrivateDropTarget is for...

Derived from

wxDropTarget

Include files

<wx/dnd.h>

See also

wxDropTarget

Members

wxPrivateDropTarget::wxPrivateDropTarget
wxPrivateDropTarget::SetId
wxPrivateDropTarget::GetId

### wxPrivateDropTarget::wxPrivateDropTarget

wxPrivateDropTarget()

### wxPrivateDropTarget::SetId

void SetId(const wxString& id)

You have to override OnDrop to get at the data. The string ID identifies the format of clipboard or DnD data. A word processor would e.g. add a wxTextDataObject and a wxPrivateDataObject to the clipboard - the latter with the Id "WXWORD_FORMAT".

### wxPrivateDropTarget::GetId

virtual wxString GetId() const